#ifndef CONSOLEKITDBUS_H
#define CONSOLEKITDBUS_H

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>

namespace core {

class ConsoleKitDBus: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.freedesktop.ConsoleKit.Manager"; }

public:
    ConsoleKitDBus(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~ConsoleKitDBus();

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<bool> CanRestart()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("CanRestart"), argumentList);
    }

    inline QDBusPendingReply<bool> CanStop()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("CanStop"), argumentList);
    }

    inline QDBusPendingReply<> Restart()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("Restart"), argumentList);
    }

    inline QDBusPendingReply<> Stop()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("Stop"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace freedesktop {
    namespace ConsoleKit {
      typedef core::ConsoleKitDBus Manager;
    }
  }
}

}

#endif // CONSOLEKITDBUS_H
