#ifndef BATTERYCOMBOBOX_H
#define BATTERYCOMBOBOX_H

#include <QComboBox>

namespace core {
    class Device;
    class UPower;
}

namespace gui {
class DeviceComboBox : public QComboBox
{
    Q_OBJECT
public:
    DeviceComboBox(QWidget *parent = 0);

    core::Device* currentDevice() const;
    core::Device* device(int idx) const;

    inline bool isEmpty() const {
        return count() == 0;
    }

public Q_SLOTS:
    void addDevice(core::Device *d);
    void removeDevice(const QString &name);
    void setMainDevice(core::Device *d);
    void setOnlyBattery(bool b);

Q_SIGNALS:
    void currentDeviceChanged(core::Device *d);
    void currentDeviceChanged(QString name);

    void noDevices();

private Q_SLOTS:
    void updateDevice();
    void indexChanged(int idx);
    bool shouldBeDisplayed(core::Device *d);

private:
    bool m_batteryOnly;
};

}

#endif // BATTERYCOMBOBOX_H
