#include "gui/linepowerwidget.h"

#include "core/device.h"

#include "ui_linepower.h"

#include <QSettings>
#include <QMessageBox>

using namespace gui;

LinePowerWidget::LinePowerWidget(core::Device *d, QWidget *parent) :
    DeviceWidget(d, parent),
    ui(new Ui::LinePower)
{
    ui->setupUi(this);
    changed();

    QSettings s;
    s.beginGroup(device()->name());
    core::Device::Alert a = core::Device::stringToAlert(s.value("Alert", "Never").toString());
    s.endGroup();

    ui->alertComboBox->setCurrentIndex((int) a);

    connect(ui->alertComboBox, SIGNAL(currentIndexChanged(QString)), this, SLOT(changeAlert(QString)));
}

LinePowerWidget::~LinePowerWidget() {

}

void LinePowerWidget::changed() {

}

void LinePowerWidget::changeAlert(QString alert) {
    device()->setAlert(core::Device::stringToAlert(alert));
}
