#include "ucpufreqwidget.h"
#include "ui_ucpufreqwidget.h"

#include "core/application.h"
#include "core/ucpufreq.h"
#include "core/ucpufreqdbus.h"
#include "core/cpudbus.h"

using namespace gui;

UCpufreqWidget::UCpufreqWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::UCpufreqWidget)
{
    ui->setupUi(this);

    connect(app->cpufreq(), SIGNAL(disconnected()), this, SLOT(disconnected()));
    connect(app->cpufreq(), SIGNAL(connected()), this, SLOT(connected()));

    connect(ui->clearSettings, SIGNAL(pressed()), app->cpufreq(), SLOT(clear()));
    connect(ui->saveSettings, SIGNAL(pressed()), app->cpufreq(), SLOT(save()));
    connect(ui->loadSettings, SIGNAL(pressed()), app->cpufreq(), SLOT(load()));
    connect(ui->refreshButton, SIGNAL(pressed()), ui->ucpufreqTable, SLOT(refresh()));

    setEnabled(app->cpufreq()->isConnected());
}

UCpufreqWidget::~UCpufreqWidget()
{
    delete ui;
}

void UCpufreqWidget::connected() {
    setEnabled(true);
}

void UCpufreqWidget::disconnected() {
    setEnabled(false);
}
